libnl: Differentiated Services Marker (DSMARK)

libnl 3.12.0

Differentiated Services Marker (DSMARK)
Routing Library (libnl-route) » Traffic Control » Queueing Disciplines | Routing Library (libnl-route) » Traffic Control » Traffic Classes

## Class Attribute Access
int | rtnl_class_dsmark_set_bitmask (struct rtnl_class *class, uint8_t mask)
| Set bitmask of DSMARK class.
int | rtnl_class_dsmark_get_bitmask (struct rtnl_class *class)
| Get bitmask of DSMARK class.
int | rtnl_class_dsmark_set_value (struct rtnl_class *class, uint8_t value)
| Set value of DSMARK class.
int | rtnl_class_dsmark_get_value (struct rtnl_class *class)
| Get value of DSMARK class.

## Qdisc Attribute Access
int | rtnl_qdisc_dsmark_set_indices (struct rtnl_qdisc *qdisc, uint16_t indices)
| Set indices of DSMARK qdisc.
int | rtnl_qdisc_dsmark_get_indices (struct rtnl_qdisc *qdisc)
| Get indices of DSMARK qdisc.
int | rtnl_qdisc_dsmark_set_default_index (struct rtnl_qdisc *qdisc, uint16_t default_index)
| Set default index of DSMARK qdisc.
int | rtnl_qdisc_dsmark_get_default_index (struct rtnl_qdisc *qdisc)
| Get default index of DSMARK qdisc.
int | rtnl_qdisc_dsmark_set_set_tc_index (struct rtnl_qdisc *qdisc, int flag)
| Set set-tc-index flag of DSMARK qdisc.
int | rtnl_qdisc_dsmark_get_set_tc_index (struct rtnl_qdisc *qdisc)
| Get set-tc-index flag of DSMARK qdisc.

## Detailed Description

## Function Documentation

## ◆ rtnl_class_dsmark_set_bitmask()

int rtnl_class_dsmark_set_bitmask | ( | struct rtnl_class * | class,
|  | uint8_t | mask )

Set bitmask of DSMARK class.

Parameters

  class | DSMARK class to be modified.
  mask | New bitmask.

Returns
  0 on success or a negative error code.

Definition at line 199 of file dsmark.c.

References rtnl_tc_data(), and TC_CAST.

Here is the call graph for this function:

## ◆ rtnl_class_dsmark_get_bitmask()

int rtnl_class_dsmark_get_bitmask | ( | struct rtnl_class * | class | ) |

Get bitmask of DSMARK class.

Parameters

  class | DSMARK class.

Returns
  Bitmask or a negative error code.

Definition at line 217 of file dsmark.c.

References rtnl_tc_data(), and TC_CAST.

Here is the call graph for this function:

## ◆ rtnl_class_dsmark_set_value()

int rtnl_class_dsmark_set_value | ( | struct rtnl_class * | class,
|  | uint8_t | value )

Set value of DSMARK class.

Parameters

  class | DSMARK class to be modified.
  value | New value.

Returns
  0 on success or a negative errror code.

Definition at line 236 of file dsmark.c.

References rtnl_tc_data(), and TC_CAST.

Here is the call graph for this function:

## ◆ rtnl_class_dsmark_get_value()

int rtnl_class_dsmark_get_value | ( | struct rtnl_class * | class | ) |

Get value of DSMARK class.

Parameters

  class | DSMARK class.

Returns
  Value or a negative error code.

Definition at line 254 of file dsmark.c.

References rtnl_tc_data(), and TC_CAST.

Here is the call graph for this function:

## ◆ rtnl_qdisc_dsmark_set_indices()

int rtnl_qdisc_dsmark_set_indices | ( | struct rtnl_qdisc * | qdisc,
|  | uint16_t | indices )

Set indices of DSMARK qdisc.

Parameters

  qdisc | DSMARK qdisc to be modified.
  indices | New indices.

Definition at line 279 of file dsmark.c.

References rtnl_tc_data(), and TC_CAST.

Here is the call graph for this function:

## ◆ rtnl_qdisc_dsmark_get_indices()

int rtnl_qdisc_dsmark_get_indices | ( | struct rtnl_qdisc * | qdisc | ) |

Get indices of DSMARK qdisc.

Parameters

  qdisc | DSMARK qdisc.

Returns
  Indices or a negative error code.

Definition at line 297 of file dsmark.c.

References rtnl_tc_data(), and TC_CAST.

Here is the call graph for this function:

## ◆ rtnl_qdisc_dsmark_set_default_index()

int rtnl_qdisc_dsmark_set_default_index | ( | struct rtnl_qdisc * | qdisc,
|  | uint16_t | default_index )

Set default index of DSMARK qdisc.

Parameters

  qdisc | DSMARK qdisc to be modified.
  default_index | New default index.

Returns
  0 on success or a negative error code.

Definition at line 316 of file dsmark.c.

References rtnl_tc_data(), and TC_CAST.

Here is the call graph for this function:

## ◆ rtnl_qdisc_dsmark_get_default_index()

int rtnl_qdisc_dsmark_get_default_index | ( | struct rtnl_qdisc * | qdisc | ) |

Get default index of DSMARK qdisc.

Parameters

  qdisc | DSMARK qdisc.

Returns
  Default index or a negative error code.

Definition at line 335 of file dsmark.c.

References rtnl_tc_data(), and TC_CAST.

Here is the call graph for this function:

## ◆ rtnl_qdisc_dsmark_set_set_tc_index()

int rtnl_qdisc_dsmark_set_set_tc_index | ( | struct rtnl_qdisc * | qdisc,
|  | int | flag )

Set set-tc-index flag of DSMARK qdisc.

Parameters

  qdisc | DSMARK qdisc to be modified.
  flag | Flag indicating whether to enable or disable.

Returns
  0 on success or a negative error code.

Definition at line 354 of file dsmark.c.

References rtnl_tc_data(), and TC_CAST.

Here is the call graph for this function:

## ◆ rtnl_qdisc_dsmark_get_set_tc_index()

int rtnl_qdisc_dsmark_get_set_tc_index | ( | struct rtnl_qdisc * | qdisc | ) |

Get set-tc-index flag of DSMARK qdisc.

Parameters

  qdisc | DSMARK qdisc to be modified.

Returns
  1 or 0 to indicate wehther the flag is enabled or a negative error code.

Definition at line 373 of file dsmark.c.

References rtnl_tc_data(), and TC_CAST.

Here is the call graph for this function: